Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#768 Seems that backslash is absent before spacebars

closed-fixed
nobody
None
5
2012-11-06
2011-10-19
bavi
No

Hi, dear Geany developers.

A bug was reared under two different systems on two different machines.
At the first time the bugs were grown on

geany 0.19.2 (built on May 17 2011 with GTK 2.22.1, GLib 2.28.6)
Linux evilhost 2.6.37-gentoo-r4 #1 SMP Wed May 18 11:18:29 MSD 2011 i686 Intel(R) Pentium(R) 4 CPU 2.80GHz GenuineIntel GNU/Linux

At the second time - on

geany 0.18 (собрано на Aug 24 2009 с GTK 2.17.7, GLib 2.21.4)
Linux localhost 2.6.32-34-generic #77-Ubuntu SMP Tue Sep 13 19:40:53 UTC 2011 i686 GNU/Linux

Speaking shortly, when you create a project called "/home/user/Проекты/test.geany" and add two files there called "/f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile" and "/f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c", these file are not opened when you open a project again, and an error message is printed.

The details are given below, thank you for your attention!

P.S. I'd like to add that yesterday Geany did not want to change directory after setting "Follow the path of the current file" and opening both "/f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c" and "/etc/mc/Syntax". More exactly, it changed directory when I switched to "Syntax", but it did not change directory when I was turning back to "demo.c". That's why I suppose the bug is in absence of a backslash before a spacebar. Unfortunately, this bug did not want to turn back today.

========================================================================

BUG REPORT
----------

A "project" was created called "test.geany":

{-----------------------------------------------------------------------

[indentation]
indent_width=4
indent_type=1
indent_hard_tab_width=8
detect_indent=false
indent_mode=2

[project]
name=test
base_path=/home/user/Проекты/test/
make_in_base_path=false
description=
run_cmd=

[files]
current_page=1
FILE_NAME_0=0;Make;0;16;1;1;0;/f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile;0
FILE_NAME_1=0;C;0;16;1;1;0;/f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c;0
-----------------------------------------------------------------------}

It was closed and opened again, the files were not opened:

{
17:38:34: Проект "test" создан.
17:38:56: Файл 'Без имени' закрыт.
17:38:56: Файл /f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile открыт (1).
17:39:02: Файл /f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c открыт (2).
17:39:15: Проект "test" закрыт.
17:39:15: Файл '/f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile' закрыт.
17:39:15: Файл '/f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c' закрыт.
17:39:16: Открыт новый файл "Без имени".
17:39:51: Файл 'Без имени' закрыт.
17:39:51: Проект "test" открыт.
17:39:51: Не удалось загрузить один или несколько файлов сессии.
17:39:52: Открыт новый файл "Без имени".
}

The English translation, according to
http://git.geany.org/geany/tree/po/ru.po
is the following:

{
17:38:34: Project "test" created.
17:38:56: File Без имени closed.
17:38:56: File /f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile opened (1).
17:39:02: File /f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c opened (2).
17:39:15: Project "test" closed.
17:39:15: File /f:/Darkdir/Projects/Monitor/history/demo 1.31/Makefile closed.
17:39:15: File /f:/Darkdir/Projects/Monitor/history/demo 1.31/demo.c closed.
17:39:16: New file "Без имени" opened.
17:39:51: File Без имени closed.
17:39:51: Project "test" opened.
17:39:51: Failed to load one or more session files.
17:39:52: New file "Без имени" opened.
}

Finally, after closing it again, the project became
(because only a default file was opened):

{-----------------------------------------------------------------------

[indentation]
indent_width=4
indent_type=1
indent_hard_tab_width=8
detect_indent=false
indent_mode=2

[project]
name=test
base_path=/home/user/Проекты/test/
make_in_base_path=false
description=
run_cmd=

[files]
current_page=0
-----------------------------------------------------------------------}

Related

Files: files

Discussion

  • Lex Trotman
    Lex Trotman
    2011-10-19

    Are the files that fail to open on a network drive?

    Do they open every time outside a project?

     
  • bavi
    bavi
    2011-10-20

    Normal files, on the local hard drive... Text files, can be opened, were opened, read and copipasted to the message.

     
  • Lex Trotman
    Lex Trotman
    2011-10-23

    The problem appears to be due to Geany handling of session paths containing colon (:). Fixed in Git HEAD.

     
  • elextr seems to suggest it's now fixed. Please let us know if you still experience the issue.

     
    • status: open --> pending-fixed
     
  • Lex Trotman
    Lex Trotman
    2012-11-06

    • status: pending-fixed --> closed-fixed